# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20140118.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jan 19 00:49:51 UTC 2014
# ------------------------------------------------------------------------------
# COPYING                          |    4 ++--
# Makefile.in                      |   20 ++++++++++----------
# NEWS                             |    8 ++++++--
# dist.mk                          |    6 +++---
# misc/gen-pkgconfig.in            |   10 ++++------
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw/copyright   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian-mingw64/copyright |    4 ++--
# package/debian/changelog         |    4 ++--
# package/debian/copyright         |    4 ++--
# package/mingw-ncurses.nsi        |    6 +++---
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# 14 files changed, 42 insertions(+), 40 deletions(-)
# ------------------------------------------------------------------------------
Index: COPYING
Prereq:  1.1 
--- ncurses-5.9-20131221+/COPYING	2013-10-12 17:01:03.000000000 +0000
+++ ncurses-5.9-20140118/COPYING	2014-01-18 23:59:29.000000000 +0000
@@ -1,4 +1,4 @@
-Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.
+Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
 
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the
@@ -25,4 +25,4 @@
 authorization.
 
 -- vile:txtmode fc=72
--- $Id: COPYING,v 1.1 2013/10/12 17:01:03 tom Exp $
+-- $Id: COPYING,v 1.2 2014/01/18 23:59:29 tom Exp $
Index: Makefile.in
Prereq:  1.37 
--- ncurses-5.9-20131221+/Makefile.in	2013-08-03 22:58:52.000000000 +0000
+++ ncurses-5.9-20140118/Makefile.in	2014-01-18 20:19:45.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: Makefile.in,v 1.37 2013/08/03 22:58:52 tom Exp $
+# $Id: Makefile.in,v 1.38 2014/01/18 20:19:45 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -27,7 +27,7 @@
 # authorization.                                                             #
 ##############################################################################
 #
-# Author: Thomas E. Dickey <dickey@clark.net> 1996,1997
+# Author: Thomas E. Dickey		1996-on
 #
 # Master Makefile for ncurses library.
 
@@ -58,7 +58,7 @@
 libdir		= @libdir@
 mandir		= @mandir@
 
-INCLUDEDIR	= ${DESTDIR}${includedir}${includesubdir}
+include_dir	= ${includedir}${includesubdir}
 
 INSTALL		= @INSTALL@
 INSTALL_DATA	= @INSTALL_DATA@
@@ -79,17 +79,17 @@
 	@ echo ''
 	@ echo '      bin directory: '$(bindir)
 	@ echo '      lib directory: '$(libdir)
-	@ echo '  include directory: '$(INCLUDEDIR)
+	@ echo '  include directory: '$(include_dir)
 	@ echo '      man directory: '$(mandir)
 @MAKE_TERMINFO@	@ echo ' terminfo directory: '$(ticdir)
 	@ echo ''
-	@ test "$(INCLUDEDIR)" = "$(prefix)/include" || \
+	@ test "$(include_dir)" = "$(prefix)/include" || \
 		echo '** Include-directory is not in a standard location'
-	@ test ! -f $(INCLUDEDIR)/termcap.h || \
-		fgrep NCURSES_VERSION $(INCLUDEDIR)/termcap.h >/dev/null || \
+	@ test ! -f $(include_dir)/termcap.h || \
+		fgrep NCURSES_VERSION $(include_dir)/termcap.h >/dev/null || \
 		echo '** Will overwrite non-ncurses termcap.h'
-	@ test ! -f $(INCLUDEDIR)/curses.h || \
-		fgrep NCURSES_VERSION $(INCLUDEDIR)/curses.h >/dev/null || \
+	@ test ! -f $(include_dir)/curses.h || \
+		fgrep NCURSES_VERSION $(include_dir)/curses.h >/dev/null || \
 		echo '** Will overwrite non-ncurses curses.h'
 
 distclean \
Index: NEWS
Prereq:  1.2151 
--- ncurses-5.9-20131221+/NEWS	2013-12-21 22:25:52.000000000 +0000
+++ ncurses-5.9-20140118/NEWS	2014-01-18 23:59:51.000000000 +0000
@@ -1,5 +1,5 @@
 -------------------------------------------------------------------------------
--- Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.               --
+-- Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.               --
 --                                                                           --
 -- Permission is hereby granted, free of charge, to any person obtaining a   --
 -- copy of this software and associated documentation files (the             --
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2151 2013/12/21 22:25:52 tom Exp $
+-- $Id: NEWS,v 1.2155 2014/01/18 23:59:51 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20140118
+	+ apply includesubdir variable which was introduced in 20130805 to
+	  gen-pkgconfig.in (Debian #735782).
+
 20131221
 	+ further improved man2html, used this to fix broken links in html
 	  manpages.  See
Index: dist.mk
Prereq:  1.964 
--- ncurses-5.9-20131221+/dist.mk	2013-12-21 21:50:22.000000000 +0000
+++ ncurses-5.9-20140118/dist.mk	2014-01-19 00:00:07.000000000 +0000
@@ -1,5 +1,5 @@
 ##############################################################################
-# Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.964 2013/12/21 21:50:22 tom Exp $
+# $Id: dist.mk,v 1.967 2014/01/19 00:00:07 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20131221
+NCURSES_PATCH = 20140118
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/gen-pkgconfig.in
Prereq:  1.15 
--- ncurses-5.9-20131221+/misc/gen-pkgconfig.in	2013-03-16 23:33:34.000000000 +0000
+++ ncurses-5.9-20140118/misc/gen-pkgconfig.in	2014-01-18 20:21:45.000000000 +0000
@@ -1,7 +1,7 @@
 #!@SHELL@
-# $Id: gen-pkgconfig.in,v 1.15 2013/03/16 23:33:34 tom Exp $
+# $Id: gen-pkgconfig.in,v 1.16 2014/01/18 20:21:45 tom Exp $
 ##############################################################################
-# Copyright (c) 2009-2012,2013 Free Software Foundation, Inc.                #
+# Copyright (c) 2009-2013,2014 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -49,12 +49,12 @@
 
 prefix="@prefix@"
 exec_prefix="@exec_prefix@"
-includedir="@includedir@"
+includedir="@includedir@@includesubdir@"
 libdir="@libdir@"
 
 show_prefix='@prefix@'
 show_exec_prefix='@exec_prefix@'
-show_includedir='@includedir@'
+show_includedir='@includedir@@includesubdir@'
 show_libdir='@libdir@'
 
 MAIN_LIBRARY="${LIB_NAME}@DFT_ARG_SUFFIX@"
@@ -103,8 +103,6 @@
 
 	echo "** creating ${name}.pc"
 	cat >${name}.pc <<EOF
-# vile:makemode
-
 prefix=$show_prefix
 exec_prefix=$show_exec_prefix
 libdir=$show_libdir
Index: package/debian-mingw/changelog
--- ncurses-5.9-20131221+/package/debian-mingw/changelog	2013-12-21 18:12:41.000000000 +0000
+++ ncurses-5.9-20140118/package/debian-mingw/changelog	2014-01-18 15:54:25.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131221) unstable; urgency=low
+ncurses6 (5.9-20140118) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Dec 2013 13:12:41 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jan 2014 10:54:25 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw/copyright
--- ncurses-5.9-20131221+/package/debian-mingw/copyright	2013-11-09 14:26:35.000000000 +0000
+++ ncurses-5.9-20140118/package/debian-mingw/copyright	2014-01-19 00:01:25.000000000 +0000
@@ -1,6 +1,6 @@
 This package is used for testing builds of ncurses.
 
-Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.
+Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
 Copyright © 2001 by Pradeep Padala
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -81,7 +81,7 @@
 SUCH DAMAGE.
 
 
-Copyright 1996-2012,2013 by Thomas E. Dickey
+Copyright 1996-2013,2014 by Thomas E. Dickey
 
                         All Rights Reserved
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20131221+/package/debian-mingw64/changelog	2013-12-21 18:12:41.000000000 +0000
+++ ncurses-5.9-20140118/package/debian-mingw64/changelog	2014-01-18 15:54:25.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131221) unstable; urgency=low
+ncurses6 (5.9-20140118) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Dec 2013 13:12:41 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jan 2014 10:54:25 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/copyright
--- ncurses-5.9-20131221+/package/debian-mingw64/copyright	2013-11-09 14:26:49.000000000 +0000
+++ ncurses-5.9-20140118/package/debian-mingw64/copyright	2014-01-19 00:01:49.000000000 +0000
@@ -1,6 +1,6 @@
 This package is used for testing builds of ncurses.
 
-Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.
+Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
 Copyright © 2001 by Pradeep Padala
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -81,7 +81,7 @@
 SUCH DAMAGE.
 
 
-Copyright 1996-2012,2013 by Thomas E. Dickey
+Copyright 1996-2013,2014 by Thomas E. Dickey
 
                         All Rights Reserved
 
Index: package/debian/changelog
--- ncurses-5.9-20131221+/package/debian/changelog	2013-12-21 18:12:41.000000000 +0000
+++ ncurses-5.9-20140118/package/debian/changelog	2014-01-18 15:54:25.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131221) unstable; urgency=low
+ncurses6 (5.9-20140118) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Dec 2013 13:12:41 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jan 2014 10:54:25 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/debian/copyright
--- ncurses-5.9-20131221+/package/debian/copyright	2013-11-09 14:24:56.000000000 +0000
+++ ncurses-5.9-20140118/package/debian/copyright	2014-01-19 00:00:58.000000000 +0000
@@ -1,6 +1,6 @@
 This package is used for testing builds of ncurses.
 
-Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.
+Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
 Copyright © 2001 by Pradeep Padala
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -81,7 +81,7 @@
 SUCH DAMAGE.
 
 
-Copyright 1996-2012,2013 by Thomas E. Dickey
+Copyright 1996-2013,2014 by Thomas E. Dickey
 
                         All Rights Reserved
 
Index: package/mingw-ncurses.nsi
Prereq:  1.19 
--- ncurses-5.9-20131221+/package/mingw-ncurses.nsi	2013-12-21 18:12:41.000000000 +0000
+++ ncurses-5.9-20140118/package/mingw-ncurses.nsi	2014-01-18 15:54:25.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.19 2013/12/21 18:12:41 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.21 2014/01/18 15:54:25 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -9,8 +9,8 @@
 
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
-!define VERSION_YYYY  "2013"
-!define VERSION_MMDD  "1221"
+!define VERSION_YYYY  "2014"
+!define VERSION_MMDD  "118"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20131221+/package/mingw-ncurses.spec	2013-12-21 18:12:41.000000000 +0000
+++ ncurses-5.9-20140118/package/mingw-ncurses.spec	2014-01-18 15:54:25.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20131221
+Release: 20140118
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20131221+/package/ncurses.spec	2013-12-21 18:12:41.000000000 +0000
+++ ncurses-5.9-20140118/package/ncurses.spec	2014-01-18 15:54:25.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20131221
+Release: 20140118
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
